#ifndef FREERTOS_IP_CONFIG_H
#define FREERTOS_IP_CONFIG_H

#define ipconfigBYTE_ORDER pdFREERTOS_LITTLE_ENDIAN

#define ipconfigNUM_NETWORK_BUFFER_DESCRIPTORS      64	//a small number, idk how small...
#define ipconfigZERO_COPY_RX_DRIVER                 1
#define ipconfigZERO_COPY_TX_DRIVER                 1
#define ipconfigDRIVER_INCLUDED_TX_IP_CHECKSUM		1
#define ipconfigDRIVER_INCLUDED_RX_IP_CHECKSUM		1
#define ipconfigUSE_NETWORK_EVENT_HOOK 				1
#define ipconfigDNS_USE_CALLBACKS					1
#define ipconfigDNS_CACHE_NAME_LENGTH				20
#define ipconfigUSE_TCP								1
#define ipconfigTCP_KEEP_ALIVE						0	//If FreeRTOS-Plus-TCP does not receive a reply to a keep alive message then the connection will be broken
#define ipconfigTCP_HANG_PROTECTION					1	//will mark a socket as closed if there is no status change on the socket
#define ipconfigTCP_HANG_PROTECTION_TIME			60	//within the period of time specified in seconds
#define ipconfigUSE_TCP_WIN       					0	//If you have a tiny CPU with less than 64KB of RAM, do not use sliding Windows
//define below based on freertos.org/FreeRTOS-Plus/FreeRTOS_Plus_TCP/TCP_IP_Configuration_Examples.html
#define ipconfigTCP_TX_BUFFER_LENGTH   				( 2 * ipconfigTCP_MSS )
#define ipconfigTCP_RX_BUFFER_LENGTH   				( 2 * ipconfigTCP_MSS )
#define ipconfigNETWORK_MTU   						586
#define ipconfigTCP_MSS       						522

#define ipconfigHAS_PRINTF 1
#define FreeRTOS_debug_printf( x ) printf x
#define FreeRTOS_printf( x ) printf x
#endif /* FREERTOS_IP_CONFIG_H */
